CRMchat APIBeta
Telegram APIStories

stories.editStory

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/stories.editStory

Edit an uploaded story May also be used in a business connection, not by wrapping the query in RawInvokeWithBusinessConnectionRequest, but rather by specifying the ID of a controlled business user in peer: in this context, the method can only be used to edit stories posted by the same business bot on behalf of the user with stories.RawSendStoryRequest.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Edit an uploaded story May also be used in a business connection, not by wrapping the query in RawInvokeWithBusinessConnectionRequest, but rather by specifying the ID of a controlled business user in peer: in this context, the method can only be used to edit stories posted by the same business bot on behalf of the user with stories.RawSendStoryRequest.

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/stories.editStory" \  -H "Content-Type: application/json" \  -d '{    "params": {      "peer": {        "_": "inputPeerEmpty"      },      "id": 0    }  }'
{  "result": {    "_": "updatesTooLong"  }}